#!/bin/sh

BASE_VER=1.6.0
PACKAGING=3
VER=${BASE_VER}-${PACKAGING}

rm -f gdal-*.bz2

rm -rf release
mkdir release
mkdir release/include
mkdir release/bin
mkdir release/bin/gdalplugins
mkdir release/lib
mkdir release/share
mkdir release/share/gdal
mkdir release/share/gdal/html

rm -rf bin
mkdir bin

nmake /f makefile.vc install devinstall

cp gdal-config.tmpl release/bin
mv release/bin/gdal16.dll bin

echo "SET GDAL_DATA=%OSGEO4W_ROOT%\apps\gdal-16\share\gdal" > bin/gdal16.bat
echo "SET GDAL_DRIVER_PATH=%OSGEO4W_ROOT%\apps\gdal-16\bin\gdalplugins" > bin/gdal16.bat
echo "SET PYTHONPATH=%OSGEO4W_ROOT%\apps\gdal-16\pymod;%PYTHONPATH%" >> bin/gdal16.bat
echo "PATH=%OSGEO4W_ROOT%\apps\gdal-16\bin;%PATH%" >> bin/gdal16.bat

###############################################################################
# tar up with proper path names.

mv release apps/gdal-16

tar cjvf gdal16-$VER.tar.bz2 apps/gdal-16 bin

mv apps/gdal-16 release

tar cjvf src-wrk.tar.bz2 nmake.opt nmake.osgeo4w \
        upload.sh rebuild.sh package.sh gdal-config.tmpl \
	ogr/ogrsf_frmts/ogdi/makefile.vc \
	frmts/ogdi/makefile.vc

mkdir release/src
mkdir release/src/gdal-16-${BASE_VER}

cd release/src/gdal-16-${BASE_VER}

tar xjvf ../../../src-wrk.tar.bz2
cd ../..
tar cjvf ../gdal16-$VER-src.tar.bz2 src
cd ..
